<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>람쥐네컷</title>
    <link rel="stylesheet" href="src/style.css">
    <script src="https://html2canvas.hertzen.com/dist/html2canvas.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
</head>

<!-- https://velog.io/@minkyeong-ko/HTMLCSSJS-%EC%9D%B4%EB%AF%B8%EC%A7%80-%EC%97%85%EB%A1%9C%EB%93%9C-%ED%8C%8C%EC%9D%BC%EC%9D%B4%EB%A6%84-%EB%82%98%ED%83%80%EB%82%B4%EA%B8%B0-%ED%99%94%EB%A9%B4%EC%97%90-%EC%9D%B4%EB%AF%B8%EC%A7%80-%EB%B3%B4%EC%97%AC%EC%A3%BC%EA%B8%B0 -->


<body>
    
        <div class="container">
            <div class="out-box">
                <div class="img-box">
                    <img src="img/test-img1.jpg" id="img1" alt="">
                </div>
                <div class="img-box">
                    <img src="img/test-img1.jpg" id="img2" alt="">
                </div>
                <div class="img-box">
                    <img src="img/test-img1.jpg" id="img3" alt="">
                </div>
                <div class="img-box">
                    <img src="img/test-img1.jpg" id="img4" alt="">
                </div>
                <div id="text">작동이 안되네ㅜ</div>
            </div>
        </div>
    
        <div class="color">
            <p id="black" onclick="coloring.black()">BLACK</p>
            <p id="white" onclick="coloring.white()">WHITE</p>
            <p id="red" onclick="coloring.red()">RED</p>
            <p id="blue" onclick="coloring.blue()">BLUE</p>
        </div>
    
        <div class="box">
            <form><label for="img-upload1">
                    <div>🐹</div>
                </label><input type="file" id="img-upload1" accept=".jpg, .png" onchange="uploading.img1(this)"></form>
            <form><label for="img-upload2">
                    <div>🐹</div>
                </label><input type="file" id="img-upload2" accept=".jpg, .png" onchange="uploading.img2(this)"></form>
            <form><label for="img-upload3">
                    <div>🐹</div>
                </label><input type="file" id="img-upload3" accept=".jpg, .png" onchange="uploading.img3(this)"></form>
            <form><label for="img-upload4">
                    <div>🐹</div>
                </label><input type="file" id="img-upload4" accept=".jpg, .png" onchange="uploading.img4(this)"></form>
    
    
            <input type="text" id="inputText">
            <button onclick="texting()">설정</button>
    
    
        </div>
    
        <div class="box">
            <button onclick="pick()" class="downBtn">다운로드</button>
        </div>
    
   

    <a id="target" style="display: none"></a>

</body>
<script>


    const imgInput = document.querySelector("#img-input");
    const text = document.querySelector("#text");
    const outbox = document.querySelector(".out-box");
    const con = document.querySelector(".container");


    const img1 = document.querySelector("#img1");
    const img2 = document.querySelector("#img2");
    const img3 = document.querySelector("#img3");
    const img4 = document.querySelector("#img4");

    const uploading = {
        img1: (input) => {
            var file = input.files[0];
            img1.src = URL.createObjectURL(file);
        },
        img2: (input) => {
            var file = input.files[0];
            img2.src = URL.createObjectURL(file);
        },
        img3: (input) => {
            var file = input.files[0];
            img3.src = URL.createObjectURL(file);
        },
        img4: (input) => {
            var file = input.files[0];
            img4.src = URL.createObjectURL(file);
        },
    }

    const coloring = {
        black: () => {
            outbox.style.backgroundColor = "black";
            text.style.color = "white"
        },
        white: () => {
            outbox.style.backgroundColor = "white"
            text.style.color = "black"

        },
        red: () => {
            outbox.style.backgroundColor = "red"
            text.style.color = "white"
        },
        blue: () => {
            outbox.style.backgroundColor = "blue"
            text.style.color = "white"
        }
    }

    function texting() {
        inputText = document.querySelector('#inputText').value;
        text.innerText = inputText;
        inputText.value = ""
    }






    function pick() {
        html2canvas(outbox).then(function (canvas) {
            if (navigator.msSaveBlob) {
                var blob = canvas.msToBlob();
                return navigator.msSaveBlob(blob, '파일명.jpg');
            } else {
                var el = document.getElementById("target");
                el.href = canvas.toDataURL("image/jpeg");
                el.download = '파일명.jpg';
                el.click();
            }
        });
    }



</script>




</html>
//https://ko.grabz.it/api/nodejs/image-capture-options/